<template>
  <div
    class="main-content-wrap d-flex align-items-center flex-column main-wrapper secondsidenav-closed bg-white"
    :class="{'sidenav-open':isSidebarOpen}"
  >
    <div class="container bg-white py-3 px-5">
      <div class="row mb-4">
        <div class="col-md-6">
          <h3>Dashboard</h3>
        </div>
      </div>

      <div class="row mb-4">
        <div class="col-md-12">
          <div class="card bg-light shadow-md p-3" ref="container">
            <h1 v-show="show">LOADING</h1>
            
            <infinite-loading v-show="list.length > 9" direction="top" @infinite="infiniteHandler">
                 <!-- <div slot="no-more"></div>
  <div slot="no-results"></div> -->
            </infinite-loading>

            <span v-for="(item,id) in list" :key="id" class="d-block">{{item}}</span>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import InfiniteLoading from "vue-infinite-loading";

export default {
  components: {
    InfiniteLoading
  },
  data() {
    return {
      list: [1, 2],
      show: false
    };
  },
  methods: {
    infiniteHandler($state) {
        console.log(this.list.length)
        if (this.list.length > 9) {
            
            fetch("https://jsonplaceholder.typicode.com/todos")
              .then(response => response.json())
              .then(json => {
                if (true) {
                  this.list.unshift(12,23,4,5123,12312,12312,14123,113123,123123)
                  $state.loaded();
                } else {
                  $state.complete();
                }
                console.log(json);
              });
        }
        else{
            return
                  $state.loaded();
                //   $state.complete();

        }
    }
  },
  beforeMount() {
    setTimeout(() => {
      var container = this.$refs.container;
      container.scrollTop = container.scrollHeight;
      console.log(container);
    }, 0);
  },
  mounted(){
        setTimeout(() => {
                     this.list.unshift(12,23,4,5123,12312,12312,14123,113123,123123)
 var container = this.$refs.container;
      container.scrollTop = container.scrollHeight;
    }, 5000);  
  }
};
</script>

<style lang="scss" scoped>
.card {
  height: 100px;
  overflow: scroll;
}
.logo-card-dashboard {
  width: 41pt;
  height: 40pt;
}
</style>
